> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/api-reference/network-services/cloud-dns/secondary-zones/create-a-secondary-zone.md).

# Create a secondary zone

Creates a new secondary zone with default NS and SOA records. Note that Cloud DNS relies on the following Anycast addresses for sending DNS notify messages. Make sure to whitelist on your end:

* IPv4: 212.227.123.25
* IPv6: 2001:8d8:fe:53::5cd:25

```json
{"openapi":"3.0.3","info":{"title":"IONOS CLOUD - DNS API","version":"1.18.2"},"tags":[{"name":"SecondaryZones","description":"Endpoints related to secondary zones"}],"servers":[{"url":"https://dns.de-fra.ionos.com","description":"Frankfurt"}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"apiKey","description":"Please provide header value as 'Bearer <token>' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.","name":"Authorization","in":"header"}},"schemas":{"SecondaryZoneCreate":{"type":"object","required":["properties"],"properties":{"properties":{"$ref":"#/components/schemas/SecondaryZone"}}},"SecondaryZone":{"allOf":[{"$ref":"#/components/schemas/CommonZone"},{"type":"object","description":"Indicates the fields for a secondary zone to be created","required":["primaryIps"],"properties":{"primaryIps":{"type":"array","items":{"type":"string","anyOf":[{"format":"ipv4"},{"format":"ipv6"}]},"minItems":1,"uniqueItems":true,"description":"Indicates IP addresses of primary nameservers for a secondary zone. Accepts IPv4 and IPv6 addresses"}}}]},"CommonZone":{"type":"object","description":"Indicates the fields for a zone to be created","required":["zoneName"],"properties":{"zoneName":{"type":"string","description":"The zone name"},"description":{"type":"string","description":"The hosted zone is used for..."}}},"SecondaryZoneRead":{"allOf":[{"$ref":"#/components/schemas/CommonZoneRead"},{"type":"object","required":["properties"],"properties":{"properties":{"$ref":"#/components/schemas/SecondaryZone"}}}]},"CommonZoneRead":{"type":"object","required":["id","type","href","metadata"],"properties":{"id":{"type":"string","format":"uuid","description":"The zone ID (UUID)."},"type":{"type":"string","enum":["zone","secondaryzone"]},"href":{"type":"string","format":"uri","readOnly":true},"metadata":{"$ref":"#/components/schemas/MetadataWithStateNameservers"}}},"MetadataWithStateNameservers":{"allOf":[{"$ref":"#/components/schemas/Metadata"},{"type":"object","required":["state","nameservers"],"properties":{"state":{"$ref":"#/components/schemas/ProvisioningState"},"nameservers":{"type":"array","description":"The list of nameservers associated to the zone. \nNameservers are different for primary and secondary zones.\nFor primary zones it would be:\n- ns-ic.ui-dns.com\n- ns-ic.ui-dns.de\n- ns-ic.ui-dns.org\n- ns-ic.ui-dns.biz\n\nAnd for secondary zones:\n- nscs.ui-dns.com\n- nscs.ui-dns.de\n- nscs.ui-dns.org\n- nscs.ui-dns.biz\n","items":{"type":"string"}}}}]},"Metadata":{"type":"object","description":"Metadata of the resource.","properties":{"createdDate":{"type":"string","readOnly":true,"format":"date-time","description":"The creation date formatted as yyyy-MM-dd'T'HH:mm:ss.SSS'Z'."},"createdBy":{"type":"string","description":"Unique name of the identity that created the resource.","readOnly":true},"createdByUserId":{"type":"string","description":"The unique ID of the user who created the resource.","readOnly":true},"lastModifiedDate":{"type":"string","readOnly":true,"format":"date-time","description":"The date of the last change formatted as yyyy-MM-dd'T'HH:mm:ss.SSS'Z'."},"lastModifiedBy":{"type":"string","description":"Unique name of the identity that created the resource.","readOnly":true},"lastModifiedByUserId":{"type":"string","description":"The unique ID of the user who last modified the resource.","readOnly":true},"resourceURN":{"type":"string","description":"Unique name of the resource.","readOnly":true}}},"ProvisioningState":{"type":"string","description":"The list of possible provisioning states in which DNS resource could be at the specific time.\n* AVAILABLE - resource exists and is healthy.\n* PROVISIONING - resource is being created or updated.\n* DESTROYING - delete command was issued, the resource is being deleted.\n* FAILED - creation of the resource failed.\n","enum":["PROVISIONING","DESTROYING","AVAILABLE","FAILED"]},"Error":{"type":"object","additionalProperties":false,"properties":{"httpStatus":{"type":"integer","description":"HTTP status code of the operation as specified by [RFC 7231](https://datatracker.ietf.org/doc/html/rfc7231#section-6).\n"},"messages":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"errorCode":{"type":"string","description":"Internal error code.\n"},"message":{"type":"string","description":"Human readable explanation of the issue.\n"}}}}}}},"responses":{"BadRequest":{"description":"### Bad Request\nThe request send to the API was malformed.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"### Unauthorized\nThe request is missing authorization information or the authorization information provided are expired.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotAllowed":{"description":"### Not Allowed\nThe user issuing the request does not have the needed permissions.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"InternalError":{"description":"### Internal Server Error\nAn internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}},"paths":{"/secondaryzones":{"post":{"operationId":"secondaryzonesPost","summary":"Create a secondary zone","tags":["SecondaryZones"],"description":"Creates a new secondary zone with default NS and SOA records.\nNote that Cloud DNS relies on the following Anycast addresses for sending DNS notify messages.\nMake sure to whitelist on your end:\n  - IPv4: 212.227.123.25\n  - IPv6: 2001:8d8:fe:53::5cd:25\n","requestBody":{"description":"zone","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SecondaryZoneCreate"}}}},"responses":{"202":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SecondaryZoneRead"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/NotAllowed"},"500":{"$ref":"#/components/responses/InternalError"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/api-reference/network-services/cloud-dns/secondary-zones/create-a-secondary-zone.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
